org.springframework.data.repository.core.support

## Class DefaultRepositoryMetadata

- java.lang.Object
- - org.springframework.data.repository.core.support.AbstractRepositoryMetadata
  - - org.springframework.data.repository.core.support.DefaultRepositoryMetadata

All Implemented Interfaces:
  RepositoryMetadata

    public class DefaultRepositoryMetadata
    extends AbstractRepositoryMetadata

Default implementation of `RepositoryMetadata`. Will inspect generic types of `Repository` to find out about domain and id class.

Author:
  Oliver Gierke, Thomas Darimont

### Constructor Summary

Constructors
Constructor and Description
`DefaultRepositoryMetadata(Class<?> repositoryInterface)` Creates a new `DefaultRepositoryMetadata` for the given repository interface.

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `getDomainType()` Returns the domain class the repository is declared for.
`Class<?>` `getIdType()` Returns the id class the given class is declared for.

### Methods inherited from class org.springframework.data.repository.core.support.AbstractRepositoryMetadata

`getAlternativeDomainTypes, getCrudMethods, getMetadata, getRepositoryInterface, getReturnedDomainClass, getReturnType, isPagingRepository, isReactiveRepository`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultRepositoryMetadata

    public DefaultRepositoryMetadata(Class<?> repositoryInterface)

Creates a new `DefaultRepositoryMetadata` for the given repository interface.

Parameters:
  `repositoryInterface` - must not be null.

### Method Detail

#### getIdType

    public Class<?> getIdType()

Description copied from interface: `RepositoryMetadata`
Returns the id class the given class is declared for.

Returns:
  the id class of the entity managed by the repository.

#### getDomainType

    public Class<?> getDomainType()

Description copied from interface: `RepositoryMetadata`
Returns the domain class the repository is declared for.

Returns:
  the domain class the repository is handling.